Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix `cargo.sh` to use Python 3 #7972

Merged
merged 1 commit into from Jun 28, 2019

Conversation

Projects
None yet
2 participants
@Eric-Arellano
Copy link
Contributor

commented Jun 28, 2019

On many systems python resolves to python2.7. We cannot run Pants with Python 2.7 anymore, so this results in a confusing error where the Rust linters try to bootstrap Pants with Python 2 on macOS.

@Eric-Arellano Eric-Arellano requested review from stuhood and benjyw Jun 28, 2019

@Eric-Arellano Eric-Arellano changed the title Fix cargo.sh to use Python 3 Fix `cargo.sh` to use Python 3 Jun 28, 2019

@Eric-Arellano Eric-Arellano merged commit 3888efd into pantsbuild:master Jun 28, 2019

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details

@Eric-Arellano Eric-Arellano deleted the Eric-Arellano:cargo-default-py3 branch Jun 28, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.